Skip to main content
PUT
/
api
/
v1
/
invite
/
{id}
update entity by id
curl --request PUT \
  --url https://api.example.com/api/v1/invite/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "expiredAt": 1,
  "roles": [
    "extractor-user",
    "organisation-user"
  ]
}
'
{
  "email": "<string>",
  "roles": [
    "<string>"
  ],
  "id": 1,
  "createdAt": 123,
  "updatedAt": 123,
  "tenantId": 123,
  "organisationId": 123,
  "expiredAt": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.extractor.live/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Authentication

Path Parameters

id
integer<int64>
required

Body

application/json
expiredAt
integer<int64>

Expiration time of the invite

Required range: x >= 0
roles
string[]

Roles for invited user

Example:
["extractor-user", "organisation-user"]

Response

200 - application/json

OK

email
string
required

Email for which this Invite was generated

roles
string[]
required

Roles for invited user

Minimum array length: 1
id
integer<int64>

Unique identifier of the entity

Example:

1

createdAt
integer<int64>

Time when entity was created

updatedAt
integer<int64>

Time when entity was updated

tenantId
integer<int64>

ID of the tenant

organisationId
integer<int64>

ID of the organisation

expiredAt
integer<int64>

Time when this invite will be expired